<?php
/*
Plugin Name: Lead Liaison Tracking Code
Plugin URI: http://www.leadliaison.com/
Description: Plugin that allows adding Lead Liaison tracking code to your site without editing any code.
Author: Lead Liaison LLC
Version: 1.0
Author URI: http://www.leadliaison.com/
*/

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
    exit('Hey, this file should not be accessed directly!');
}

if (!class_exists( 'trackingCode' )){
    class trackingCode {
        
        function __construct(){     
            add_action( 'admin_menu', array( $this, 'menuItem' ) );    
			
			$data = get_option('tracking_code');
			if($data['tracking_code']['location'] == 'header') :
				add_action( 'wp_footer', array( $this, 'wpAddCode' ) );  
			else :
				add_action( 'wp_head', array( $this, 'wpAddCode' ) );  
			endif;
        }
        
        function menuItem(){
            $page = add_submenu_page( 'options-general.php', 'Lead Liaison TC', 'Lead Liaison TC', 'manage_options', 'lead-liaison-tc', array( $this, 'init' ));                        
        }
        
        function init(){
            
            if( isset($_REQUEST['save']) ){
                update_option( 'tracking_code', $_REQUEST );
                $message = "Tracking code is now installed on your site.";
            }
                        
            $data = get_option('tracking_code');
            $this->form( $data, @$message );
			
        }
        
        function wpAddCode(){
		
			$data = get_option('tracking_code');
            if( isset( $data['tracking_code']['code']) )
                echo stripslashes($data['tracking_code']['code']);   
				
        }
        
        function form( $data, $message=null ){
            ?>
            <div class="wrap">
                <div id="icon-options-general" class="icon32 icon32-posts-page">
				<br /></div>  
                <form method="post" action="">
                    <h2>Lead Liaison Tracking Code</h2>   
                    <?php if( $message ) : ?>
                        <div class="updated"><p><strong><?php echo $message; ?></strong></p></div>
                    <?php endif; ?>
                    <p>
                        <h3>Add tracking code here:</h3>
                        <textarea rows="20" cols="150" name="tracking_code[code]"><?php echo stripslashes(@$data['tracking_code']['code']); ?></textarea>
                    </p>
					<p>
                        <h3>Put tracking code at the:</h3>
                        <input type="radio" name="tracking_code[location]" id="location_header" value="header" <?php checked( $data['tracking_code']['location'], 'header' ); ?>>
						<label for="location_header">Header</label> <br />
						
						<input type="radio" name="tracking_code[location]" id="location_footer" value="footer" <?php checked( $data['tracking_code']['location'], 'footer' ); ?>>
						<label for="location_footer">Footer</label>
                    </p>
                    
                    <p><input class="button-primary" type="submit" name="save" value="Save"/></p>
                    
                </form>             
            </div>            
            <?php
        }
                    
    }
}

global $trackingCode;
$trackingCode = new trackingCode;  
  
?>